FlowHandleWithClientIdImpl
Keywords: net.corda.core.messaging.FlowHandleWithClientIdImpl class
Date: 2023-09-18

net.corda.core.messaging

## Class FlowHandleWithClientIdImpl<A>

- net.corda.core.messaging.FlowHandleWithClientIdImpl<A>

- All Implemented Interfaces:
    FlowHandle<A>, FlowHandleWithClientId<A>

      public class FlowHandleWithClientIdImpl<A>
      implements FlowHandleWithClientId<A>

- - ### Constructor Detail

    - #### FlowHandleWithClientIdImpl

          public FlowHandleWithClientIdImpl(@NotNull
                                            StateMachineRunId id,
                                            @NotNull
                                            CordaFuture<A> returnValue,
                                            @NotNull
                                            java.lang.String clientId)

      Parameters:
        `id` - The started state machine's ID.
        `returnValue` - A `interface CordaFuture` of the flow's return value.
        `clientId` - The `clientId` with which the client has started the flow.

  - ### Method Detail

    - #### close

          public void close()

      Use this function for flows whose returnValue is not going to be used, so as to free up server resources.

    - #### getId

          @NotNull
          public StateMachineRunId getId()

      The started state machine

      's ID.

    - #### getReturnValue

          @NotNull
          public CordaFuture<A> getReturnValue()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### getClientId

          @NotNull
          public java.lang.String getClientId()

      The

      `clientId` with which the client has started the flow.

      See Also:
        `clientId`

    - #### component1

          @NotNull
          public StateMachineRunId component1()

      The started state machine

      's ID.

    - #### component2

          @NotNull
          public CordaFuture<A> component2()

      A

      `interface CordaFuture` of the flow's return value.

      See Also:
        `interface CordaFuture`

    - #### component3

          @NotNull
          public java.lang.String component3()

      The

      `clientId` with which the client has started the flow.

      See Also:
        `clientId`

    - #### copy

          @NotNull
          public FlowHandleWithClientIdImpl<A> copy(@NotNull
                                                             StateMachineRunId id,
                                                             @NotNull
                                                             CordaFuture<A> returnValue,
                                                             @NotNull
                                                             java.lang.String clientId)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)